Bug 1029614 - [RFE] Allow "lvextend -r" (or fsadm) to resize swap
[RFE] Allow "lvextend -r" (or fsadm) to resize swap
Status: NEW
Product: LVM and device-mapper
Classification: Community
Component: lvm2 (Show other bugs)
0-beta1
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: LVM and device-mapper development team
cluster-qe@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-12 13:04 EST by Thom Carlin
Modified: 2016-07-05 16:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: lvm‑technical‑solution?
rule-engine: lvm‑test‑coverage?


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2013-11-12 13:04:01 EST
Description of problem:

Allow lvextend to also extend swap

Version-Release number of selected component (if applicable):

6.4

How reproducible:

N/A

Steps to Reproduce:
1. lvextend a lv containing swap
2.
3.

Actual results:

LV extends, swap doesn't

Expected results:

LV and swap extend

Additional info:
Comment 2 RHEL Product and Program Management 2013-11-17 04:05:17 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Jonathan Earl Brassow 2016-07-05 16:57:26 EDT
Neat idea.  Low priority.  Right now, you can do https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/5/html/Deployment_Guide/s1-swap-adding.html

I believe author is looking for the command to handle everything.  Have a patch? :)

Note You need to log in before you can comment on or make changes to this bug.